package com.cusc.nirvana.user.rnr.fp.common;

import java.util.ArrayList;
import java.util.List;

/**
 * Description: 日志输出控制常量
 * <br />
 * CreateDate 2022-05-12 18:58:40
 *
 * @author yuyi
 **/
public class FpLogOutputConstants {

    /**
     * base64属性字段名称
     */
    public static final List<String> IGNORE_BASE64_FIELD_LIST = new ArrayList<String>() {{
        add("base64");
        add("file");
        add("facePicBase64");
        add("nationalEmblemPicBase64");
        add("videoBase64");
        add("faceImg");
        add("baseImg");
        add("ocrPic");
        add("bestFrameList");

    }};

    /**
     * 隐私属性加密字段名称
     */
    public static final List<String> ENCRYPTION_FIELD_LIST = new ArrayList<String>() {{
        add("fullName");
        add("certNumber");
        add("certAddress");
        add("contactAddress");
        add("phone");
        add("email");
        add("companyName");
        add("companyCertNumber");
        add("companyCertAddress");
        add("companyContactAddress");
        add("liaisonName");
        add("liaisonCertNumber");
        add("liaisonCertAddress");
        add("liaisonContactAddress");
        add("liaisonPhone");
        add("iccid");
        add("iotId");
        add("vin");
    }};

}
